Skip to main content
Alerting & Response/Alert Events

AcknowledgeAlertEvent

Acknowledge an alert event to indicate it is being investigated

POST/api/v1/alerting/events/{eventId}/acknowledge

Operation ID

AcknowledgeAlertEvent

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • eventId
    StringRequired

    Event identifier to acknowledge

Body Fields

  • acknowledgedBy
    String

    User acknowledging the alert

    Example: admin

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • uuid
    String

    Unique identifier of the alert event

    Example: event-001

  • ruleUuid
    String

    UUID of the rule that generated this event

    Example: rule-abc123

  • resourceType
    String

    Type of monitored resource

    Example: vm

  • resourceUuid
    String

    UUID of the specific resource

    Example: res-abc123

  • metricName
    String

    Metric name that was evaluated

    Example: cpu_usage_percent

  • currentValue
    Long

    Current metric value at the time of the event

    Example: 95.3

  • threshold
    Long

    Threshold that was exceeded

    Example: 90

  • operator
    String

    Comparison operator used

    Example: >

  • severity
    String

    Severity level of the event

    Example: critical

  • state
    String

    Current state: firing, acknowledged, or resolved

    Example: firing

  • message
    String

    Human-readable event message

    Example: CPU usage is 95.3%

  • fingerprint
    String

    Unique fingerprint for deduplication

    Example: fp-abc123

  • source
    String

    Source system that generated the event

    Example: prometheus

  • notifiedAt
    String

    Timestamp when the notification was sent

    Example: 2026-01-15T08:00:00Z

  • resolvedAt
    String

    Timestamp when the event was resolved

    Example: 2026-01-15T08:00:00Z

  • acknowledgedBy
    String

    User who acknowledged this event

    Example: admin

  • acknowledgedAt
    String

    Timestamp when the event was acknowledged

    Example: 2026-01-15T08:00:00Z

  • firstOccurrence
    String

    Timestamp when this alert instance first occurred

    Example: 2026-01-15T08:00:00Z

  • alertInstanceUuid
    String

    Alert instance uuid for this resource

    Example: value

  • lifecycleState
    String

    Lifecycle state for this resource

    Example: value

  • ackState
    String

    Ack state for this resource

    Example: value

  • silenceState
    String

    Silence state for this resource

    Example: value

  • productType
    String

    Product type for this resource

    Example: value

  • sourceSystem
    String

    Source system for this resource

    Example: value

  • regionId
    String

    Region id for this resource

    Example: value

  • repeatCount
    Integer

    Repeat count for this resource

    Example: 10

  • silencedAt
    String

    Silenced at for this resource

    Example: 2026-01-15T08:00:00Z

  • silencedUntil
    String

    Silenced until for this resource

    Example: 2026-01-15T08:00:00Z

  • silencePolicyIds
    List

    Silence policy ids for this resource

    Example: item1,item2

  • platformUuid
    String

    UUID of the platform that produced the event

    Example: value

  • ruleId
    String

    Rule id for this resource

    Example: value

  • inhibitionState
    String

    Current inhibition projection state: Active or Inhibited

    Example: Inhibited

  • inhibitedAt
    String

    Timestamp when the current inhibition episode started

    Example: 2026-01-15T08:00:00Z

  • inhibitionRuleIds
    List

    Stable sorted identifiers of currently matching inhibition rules

    Example: item1,item2

  • name
    String

    Alert display name; localized for read-only event queries and returned as the stored name for write responses

    Example: my-resource

  • impactScope
    String

    Localized impact scope for read-only event queries

    Example: value

  • description
    String

    Localized alert description for read-only event queries

    Example: A brief description

  • summary
    String

    Localized alert summary for read-only event queries

    Example: value

  • cause
    String

    Localized alert cause; currently allowed to be empty

    Example: value

  • solution
    String

    Localized alert solution; currently allowed to be empty

    Example: value

  • resourceTypeDisplayName
    String

    Localized display label for resourceType; resourceType remains the stable code

    Example: 组件实例

  • thresholdUnit
    String

    Unit of the final alert expression, localized by Accept-Language on read responses; empty for unitless state values

    Example: value

  • resourceName
    String

    Resource name for alert events. Verified ZCF component instances with an empty or UUID name fall back to saved component metadata; resourceUuid remains unchanged.

    Example: zcf-ziam

  • Change Time

    DeletedRequest body fields commentAddedResponse fields cause, description, firstOccurrence...DeletedResponse fields createDate, ruleName
    View API
  • Change Time

    AddedResponse fields ackState, alertInstanceUuid, lifecycleState...
    View API